Bug 206378 - rhn_register fails in both X and CLI modes
rhn_register fails in both X and CLI modes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 19:23 EDT by Mark Post
Modified: 2013-01-10 03:55 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Post 2006-09-13 19:23:17 EDT
Description of problem:
rhn_register fails in both X and CLI modes.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Run rhn_register --nox or just rhn_register
2.
3.
  
Actual results:
rhn_register --nox generates these messages:
An error has occurred:
exceptions.Exception
See /var/log/up2date for more information

In /var/log/up2date is this:
[Wed Sep 13 19:20:07 2006] up2date   File "/usr/sbin/rhn_register", line 75, in ?
    cli.run()
   File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
   File "/usr/sbin/rhn_register", line 64, in main
    tui.main()
   File "/usr/share/rhn/up2date_client/tui.py", line 1108, in main
    tui.run()
   File "/usr/share/rhn/up2date_client/tui.py", line 1052, in run
    win = self.windows[index](self.screen, self)
   File "/usr/share/rhn/up2date_client/tui.py", line 49, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.welcomeText(), 1)
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 179, in welcomeText
    return rpcServer.doCall(s.registration.welcome_message)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 235, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 45, in _request1
    ret = self._request(methodname, params)
   File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 407, in _request
    raise Exception("Error requesting with the server:: error code:: %s" %
save_response)


rhn_register generates this error:
python: cairo-xlib-surface.c:487: _swap_ximage_to_native: Assertion
`NOT_REACHED' failed.
Aborted


Expected results:
I should be able to register.

Additional info:
I'm behind an http proxy that requires authentication.  I did update
/etc/sysconfig/rhn/up2date with the following before trying to run rhn_register:
enableProxy=1
proxyPassword=MyPassword
enableProxyAuth=1
proxyUser=MyUserid
httpProxy=proxy.eds.com:80


Mark Post
Comment 2 RHEL Product and Program Management 2006-09-22 16:46:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 5 James Bowes 2006-10-09 16:00:50 EDT
The next release of rhn_register will display an error message in a dialog,
rather than giving a stack trace. This will also show the actual error that
occured while trying to talk to the server.

Note You need to log in before you can comment on or make changes to this bug.